## Box Plots from Summaries

## Usage

    bxp(z, notch = FALSE, width = NULL, varwidth = FALSE, notch.frac = 0.5,
        border = par("fg"), col = NULL, log = "", pars = NULL, ...)

## Arguments

`z` | a list containing data summaries to be used in constructing the plots. These are usually the result of a call to `boxplot`, but can be generated in any fashion.
`notch` | if `notch` is `TRUE`, a notch is drawn in each side of the boxes. If the notches of two plots do not overlap then the medians are significantly different at the 5 percent level.
`width` | a vector giving the relative widths of the boxes making up the plot.
`varwidth` | if `varwidth` is `TRUE`, the boxes are drawn with widths proportional to the square-roots of the number of observations in the groups.
`notch.frac` | numeric in (0,1). When `notch=TRUE`, the fraction of the box width that the notches should use.
`border` | character, the color of the box borders. Is recycled for multiple boxes.
`col` | character; the color within the box. Is recycled for multiple boxes
`log` | character, indicating if any axis should be drawn in logarithmic scale, as in `plot.default`.
`pars,...` | Graphical parameters can be passed as arguments to this function, either as a list (`pars`) or normally(`...`).

## Description

`bxp(..)` draws box plots based on the given summaries in `z`. It is usually called from within `boxplot(..)`, but can be invoked directly.

## Value

An invisible vector with the x-coordinates of box centers, useful for adding to the plot.

## Examples

    str(bx.p <- boxplot(split(rnorm(100), gl(5,20)), plot = FALSE))
    op <- par(mfrow= c(2,2))
    bxp(bx.p)
    bxp(bx.p, notch = TRUE)
    bxp(bx.p, notch = TRUE, col= 'lightblue')
    bxp(bx.p, notch = TRUE, col= 'lightblue', border='red', log = 'x')
    par(op)

[Package Contents]